/**
 * 初始化channelplanMemberWork详情对话框
 */
var ChannelplanMemberWorkInfoDlg = {
    channelplanMemberWorkInfoData : {}
};

/**
 * 清除数据
 */
ChannelplanMemberWorkInfoDlg.clearData = function() {
    this.channelplanMemberWorkInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
ChannelplanMemberWorkInfoDlg.set = function(key, val) {
    this.channelplanMemberWorkInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
ChannelplanMemberWorkInfoDlg.get = function(key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
ChannelplanMemberWorkInfoDlg.close = function() {
    parent.layer.close(window.parent.ChannelplanMemberWork.layerIndex);
}

/**
 * 收集数据
 */
ChannelplanMemberWorkInfoDlg.collectData = function() {
    this
    .set('id')
    .set('memberId')
    .set('post')
    .set('startTime')
    .set('endTime')
    .set('country')
    .set('unit')
    .set('description')
    .set('createTime')
    .set('createUser')
    .set('updateTime')
    .set('updateUser');
}

/**
 * 提交添加
 */
ChannelplanMemberWorkInfoDlg.addSubmit = function() {

    this.clearData();
    this.collectData();

    //提交信息
    var ajax = new $ax(Feng.ctxPath + "/channelplanMemberWork/add", function(data){
        Feng.success("添加成功!");
        window.parent.ChannelplanMemberWork.table.refresh();
        ChannelplanMemberWorkInfoDlg.close();
    },function(data){
        Feng.error("添加失败!" + data.responseJSON.message + "!");
    });
    ajax.set(this.channelplanMemberWorkInfoData);
    ajax.start();
}

/**
 * 提交修改
 */
ChannelplanMemberWorkInfoDlg.editSubmit = function() {

    this.clearData();
    this.collectData();

    //提交信息
    var ajax = new $ax(Feng.ctxPath + "/channelplanMemberWork/update", function(data){
        Feng.success("修改成功!");
        window.parent.ChannelplanMemberWork.table.refresh();
        ChannelplanMemberWorkInfoDlg.close();
    },function(data){
        Feng.error("修改失败!" + data.responseJSON.message + "!");
    });
    ajax.set(this.channelplanMemberWorkInfoData);
    ajax.start();
}

$(function() {

});
